libzypp 17.37.10

zypp::rw_pointer::Shared< D > Struct Template Reference

`#include <zypp-core/base/PtrTypes.h>`

## Public Types
using | PtrType = shared_ptr<D>
using | constPtrType = shared_ptr<const D>

## Public Member Functions
bool | unique (const constPtrType &ptr_r)
| Check whether pointer is not shared.
bool | unique (const PtrType &ptr_r)
long | use_count (const constPtrType &ptr_r) const
| Return number of references.
long | use_count (const PtrType &ptr_r) const

## Detailed Description

template<class D>
struct zypp::rw_pointer::Shared< D >

Definition at line 197 of file PtrTypes.h.

## Member Typedef Documentation

## ◆ PtrType

template<class D>

using zypp::rw_pointer::Shared< D >::PtrType = shared_ptr<D>

Definition at line 199 of file PtrTypes.h.

## ◆ constPtrType

template<class D>

using zypp::rw_pointer::Shared< D >::constPtrType = shared_ptr<const D>

Definition at line 200 of file PtrTypes.h.

## Member Function Documentation

## ◆ unique() [1/2]

template<class D>

bool zypp::rw_pointer::Shared< D >::unique | ( | const constPtrType & | ptr_r | ) |
| inline

Check whether pointer is not shared.

Definition at line 202 of file PtrTypes.h.

## ◆ unique() [2/2]

template<class D>

bool zypp::rw_pointer::Shared< D >::unique | ( | const PtrType & | ptr_r | ) |
| inline

Definition at line 204 of file PtrTypes.h.

## ◆ use_count() [1/2]

template<class D>

long zypp::rw_pointer::Shared< D >::use_count | ( | const constPtrType & | ptr_r | ) | const
| inline

Return number of references.

Definition at line 207 of file PtrTypes.h.

## ◆ use_count() [2/2]

template<class D>

long zypp::rw_pointer::Shared< D >::use_count | ( | const PtrType & | ptr_r | ) | const
| inline

Definition at line 209 of file PtrTypes.h.

The documentation for this struct was generated from the following file:

- zypp-core/base/PtrTypes.h